AC_DEFUN([AM_PATH_MPFR],
[
    AC_MSG_CHECKING([whether mpfr library is installed])
    AH_TEMPLATE([HAVE_MPFR],[Define if you have the mpfr library])
    LIBS="$LIBS -lmpfr -lgmp -lm"
AC_TRY_LINK(
    [
#include <gmp.h>
#include <mpfr.h>
    ],
    [mpfr_t x; mpfr_init (x);],
    [CONFIG_MPFR="#define MML_SUPPORTS_MPFR"],
    AC_MSG_RESULT([no]);AC_MSG_ERROR([missing library: mpfr]))
    AC_MSG_RESULT([yes])
])
