AC_DEFUN([AM_PATH_GNUMERIX],
[
    AC_MSG_CHECKING([whether gnumerix library is installed])
    AH_TEMPLATE([HAVE_GNUMERIX],[Define if you have the gnumerix library])
    GNUMERIX_CPPFLAGS=`gnumerix-config --cppflags`
    GNUMERIX_LIBS=`gnumerix-config --libs`
    CPPFLAGS="$CPPFLAGS $GNUMERIX_CPPFLAGS"
    LIBS="$LIBS $GNUMERIX_LIBS"
    AC_TRY_LINK(
        [
#include <iostream>
#include <integer.hpp>
        ],
        [std::cout << mmx::integer (12321) << "\n";],
        [AC_DEFINE([HAVE_GNUMERIX],[])],
        AC_MSG_RESULT([no]);AC_MSG_ERROR([missing library: gnumerix]))
    AC_MSG_RESULT([yes])
])
