
/******************************************************************************
* MODULE     : string_glue.cpp
* DESCRIPTION: Standard glue for strings
* COPYRIGHT  : (C) 2006  Joris van der Hoeven
*******************************************************************************
* This software falls under the GNU general public license and comes WITHOUT
* ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for more details.
* If you don't have this file, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/

#include "string.hpp"
#include "category_glue.hpp"
#include "literal.hpp"
namespace mmx {

/*
string
make_literal_string (const literal& lit) {
  string s= *lit;
  return unquote (s);
}
*/

void
define_string () {
  //define_type<always,string> ("String");
  //define<always> ("literal_string", make_literal_string);
  define_binary<always,string,mul_op> ();
  define_ordering<always,string> ();
}

} // namespace mmx
